﻿@{
    ViewBag.Title = "View All OUTPatients";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>
<!--modal to show edit function-->
<div class="modal fade in" id="modal-default" style="padding-right: 17px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">Default Modal</h4>
            </div>
            <div class="modal-body">



                <form class="form-horizontal">
                    <div class="box-body">
                        <div class="form-group">
                            <input type="text" class="form-control" id="outPat" style="display:none;">
                        </div>
                        <div class="form-group">
                            <label for="inputPatientNo" class="col-sm-2 control-label">Select Patient No</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="inputPatientNo"></select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputDOAdmit" class="col-sm-2 control-label">Date Of Admit</label>

                            <div class="col-sm-5">
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" class="form-control pull-right" id="inputDOAdmit">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="inputDODischarge" class="col-sm-2 control-label">Date Of Discharge</label>

                            <div class="col-sm-5">
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" class="form-control pull-right" id="inputDODischarge">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="InputLabID" class="col-sm-2 control-label">Select Lab No</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputLabID"></select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="InputMedID" class="col-sm-2 control-label">Select Med ID</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputMedID"></select>
                            </div>
                        </div>


                    </div>

                </form>




            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="ChangeValues();">Save changes</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>All OutPatient's Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">List of All OutPatients</h3>

                <div class="box-tools">
                    <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">

                        <div class="input-group-btn">
                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
                <table class="table table-hover">
                        <tr>
                            <th>Patient Name</th>
                            <th>Lab Category</th>
                            <th>Date of Admit</th>
                            <th>Date of Discharge</th>
                            <th>Medicine</th>
                            <th>Edit</th>
                            <th>Delete</th>
                         </tr>
                    <tbody id="tbl"></tbody>
                </table>
            </div>
            <!-- /.box-body -->
        </div>
    </section>
</div>

<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetAllOutPatientData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        var datead = ConverDate(list[i].dateofadmit);
                        var outdate = ConverDate(list[i].dateofdiscarge);
                    
                        $('#tbl').append(' <tr id=Row' + list[i].putpid + '><td>' + list[i].pname + '</td><td>' + list[i].category + '</td><td>' + datead + '</td><td>' + outdate + '</td><td>' + list[i].name + '</td><td><button type="button" class="btn bg-light-blue"  onclick=getUpdate(' + list[i].putpid + ')> <i class="fa fa-edit"></i>  </button></td><td><button type="button" class="btn bg-red" onclick=getDelete(' + list[i].putpid + ')><i class="fa fa-trash-o"></i></button> </td> </tr> ');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });

    function ConverDate(date1) {
        var a = date1.split(')')[0];
        var b = a.split('(')[1];
        var c = parseInt(b);
        var d = new Date(c);
        var e = d.toLocaleString();
        var f = d.toLocaleTimeString();
        var g = d.toLocaleDateString()
        //  var h = d.toString();
        return g;
    }

</script>
<!--for the Fill modal-->
<script>
    function getUpdate(id) {
       alert(id);
        debugger;
        $('#Row'+id).each(function () {

            // do stuff for each td in here...
            debugger;
           var a  =$(this).find("td").eq(2).html();

           $('#inputDOAdmit').val($(this).find("td").eq(2).html());
            $('#inputDODischarge').val($(this).find("td").eq(3).html());
            $('#outPat').val(id);

            $("#modal-default").modal("show");

        })



    }


</script>

<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
     //   alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDropDownsPNRM", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var Patient = data.Patient;
                    var Lab = data.Lab;
                    var Medicine = data.Medicine;

                    for (i = 0; i < Patient.length; i++) {
                        $('#inputPatientNo').append('<option id=' + Patient[i].pono + ' value=' + Patient[i].pname + ' >' + Patient[i].pname + '  </option>');
                    }


                    for (i = 0; i < Lab.length; i++) {
                        $('#InputLabID').append('<option id=' + Lab[i].labno + ' value=' + Lab[i].category + ' >' + Lab[i].category + '  </option>');

                    }

                    for (i = 0; i < Medicine.length; i++) {
                        $('#InputMedID').append('<option id=' + Medicine[i].medid + ' value=' + Medicine[i].name+ ' >' + Medicine[i].name+ '  </option>');

                    }



                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>

<script>
    function getDelete(id) {
        debugger;
        $.ajax({
            url: '@Url.Action("DeleteOutPatientData", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ id: id}),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    $('#'+id).remove();
                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>

<!--call the ajax function Edit -->

<script>
    function ChangeValues(){
        $("#modal-default").modal("hide");
        debugger;
       var PatientNo = $('#inputPatientNo :selected').attr('id');
        var DOAdmit = $('#inputDOAdmit').val();
        var DODischarge = $('#inputDODischarge').val();
        var LabID = $('#InputLabID :selected').attr('id');
        var MedID = $('#InputMedID :selected').attr('id');
        var ID = $('#outPat').val();

        $.ajax({
            url: '@Url.Action("EditOutPatient", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ PatientNo: PatientNo, DOAdmit: DOAdmit, DODischarge: DODischarge, LabID: LabID, MedID: MedID,ID:ID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }

</script>

<script>
    $(document).ready(function () {
        debugger;
        $("#inputDOAdmit").datepicker();
        $("#inputDODischarge").datepicker();
});
</script>
